rem  Created Oct 20 2008
rem  This batch file uses the DirecTVChannelControl executable designed for GBPVR
rem
rem  This batch file and the "directv.exe" file go into the SageTV directory
rem  Registry command: DirecTVMultiChg.bat %DEVICE% %CHANNEL%
rem
rem  The %1 represents the tuner device (%DEVICE%) number passed from SageTV
rem  The %2 represents the channel (%CHANNEL%) value passed from SageTV
rem  Both values used as arguments to the executable batch file

rem  Each device must be assigned to a COM port
SET /A CURDEVICE = %1
IF %CURDEVICE% EQU 1 SET USEPORT=1
IF %CURDEVICE% EQU 2 SET USEPORT=2
IF %CURDEVICE% EQU 3 SET USEPORT=3
IF %CURDEVICE% EQU 4 SET USEPORT=4
IF %CURDEVICE% EQU 5 SET USEPORT=5
IF %CURDEVICE% EQU 6 SET USEPORT=6

:tunechan
rem  This is the command for generic 3-digit channels
IF %2 GTR 999 GOTO adddash
else
directv.exe -port COM%USEPORT% -box D10100 -key %2
GOTO end

rem  This is the command for "dash-1" channels
:adddash
set /a CHANRAW = %2
set /a CHANPRE = (%2 / 10) - .1
directv.exe -port COM%USEPORT% -box D10100 -key %CHANPRE%dash1

:end
